# Generated from gcovrext-0.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name gcovrext

Name: rubygem-%{gem_name}
Version: 0.0.1
Release: 1%{?dist}
Summary: Code coverage stats for ruby native extensions via gcovr
License: MIT
URL: https://github.com/dalehamel/gcovrext
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rake-compiler) >= 0.9
# BuildRequires: rubygem(rake-compiler) < 1
# BuildRequires: rubygem(minitest)
BuildArch: noarch

%description
Code coverage details for your native extensions are at least as important
as for ruby.
This gem will help you get code coverage details for our native C code in your
ruby gems,
to find blindspots and prevent bugs from creeping in.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.1-1
- Initial package
